/*
 * Copyright 2010-2013, Softnik Technologies
 * http://www.softnik.com/
 */
 
 $(function()
{
	jQuery("#display_column_setup_grid").jqGrid({
		url:'lib/php/config/display_column_setup.php',
		datatype: "json",
		altRows:true,
		altclass: 'gridAltRowClass',
		scrollOffset: 18,
		rownumbers: true,
	   	colNames:['Name', 'Label', 'Width'],
	   	colModel:[
	   		{name:'name',index:'name', width:120, sortable:false},
	   		{name:'name',index:'name', width:120, editable:true},
	   		{name:'Width',index:'width', width:50, editable:true, sorttype:"number"},		
	   	],
		rowNum:100,
		rowTotal: 100,
	   	multiselect: true,
		loadonce: true,
		scroll: 1,
		//multiboxonly:true,
		sortname: 'Popularity',
		headertitles: true,
	   	caption: "Custom Display Column Setup",
		loadComplete: function()
		{
			
		},
		
		onSelectRow: function(ids) 	
		{
			create_script();
			if(ids == null) 
				ids=0;
			if(ids == 0)
			{
			}
			else  
			{
				
			}
		},
		
		onSelectAll: function() 	{create_script();}
	});
	
	function create_script()
	{
	}
});
